The live-building DLL is missing


#1

Hello,
I’m trying to use Live-coding and it doesn’t show.
Does anybody know where to find JUCECompileEngine.dylib for osx?
It’s not in the zip folder, git or Roli.com. I can’t find no information on this.
Please help?


#2

Ok I somewhat figured it out. You have to download from the get juce and then the login prompt pops up on load.
Once I enter my login, the message under Build tab says I need JUCE Pro license. I have the indie license and my receipt stated I have Full access to Projucer which is the same as Pro License.

So is this a bug or misinformation in the system or do I need to switch from Indie to a Pro License if possible to use Live-coding?

Do anybody else have this issue?


#3

Hi there,

Your Indie license covers use of the Projucer. Can you please try again now and let us know if you still can’t login?


#4

Hello,
Thank you jb, I am able to login correctly but the issue now is that I get this message:

Jit process crashed!:
Program used external function ‘MIDIGetNumberOfSources’ which could not be resolved!

I changed the path to the correct Module and restarted projucer multiple times and still get the same message. Any workaround?


#5

we’re working at an update of the Projucer that should solve the problem. Apologies for the unexpected crashes


#6

The issue is already fixed on the git repository, so you can compile the Projucer from there as long as we didn’t roll out the Projucer update on the website yet.


#7

If we’re compiling from the Github repo, where do we install/move the dylib that’s inside the Juce download from the website so that the github version can see it/use it? @timur @jules Is there a local place on OS X that dylibs should go?


#8

The dylib will be found automatically by the Projucer from any of the following locations:

  • in JUCE/extras/Projucer (where JUCE is your JUCE folder path)
  • in the build folder of the Projucer
  • inside the Projucer.app bundle
  • in /Library/Application Support/Projucer
  • in ~/Library/Application Support/Projucer

#9

awesome thanks!! Now we just need some kind of built-in “JUCECompileEngine.dylib has been updated! please download the latest version from juce.com to update” messaging added for whenever you push out the updates to it.


#10

hello , sorry but i cannot figur eout with this … wherever i put the JUCECompileEngine.dylib , projucer tell me that i need to install it …

mac osx 10.9.5 xcode 6.2


#11

yes same case with Me I am using max osx 10.9.5 Xcode 6.1


#12

I think the live build feature needs OS X 10.10 or later. At least this was a requirement while it existed as a separate application (link).

On the other hand, the requirement given on the ProJucer description is OS X 10.9.